Bug 501212 - overcommit with delete after two characters input
overcommit with delete after two characters input
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libhangul (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-17 23:20 EDT by Jens Petersen
Modified: 2009-07-03 15:33 EDT (History)
5 users (show)

See Also:
Fixed In Version: 0.0.9-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-24 15:25:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2009-05-17 23:20:12 EDT
Description of problem:
If one inputs two consonant-vowel pairs with ibus-hangul and then tries to delete with backspace the last character is recommitted not deleted.

How reproducible:
every time

Steps to Reproduce:
1. start gedit and start hangul input
2. type a k a k Backspace
3. press backspace again
4. type a k a k \ Backspace
  
Actual results:
2. 마마ㅁ
3. 마마마
4. 마마\마

Expected results:
2. 마마ㅁ
3. 마마
4. 마마
Comment 1 Jens Petersen 2009-06-04 00:43:58 EDT
Huang Peng, did you hear anything back from Krisna about this?
Comment 2 Bug Zapper 2009-06-09 12:01:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Peng Huang 2009-06-09 22:15:12 EDT
I found this problem is in libhangul. Please refer to http://kldp.net/plugins/scmsvn/viewcvs.php/libhangul/trunk/hangul/hangulinputcontext.c?root=hangul&rev=187&r1=173&r2=187

BTW, upstream libhangul has been updated to 0.0.9. I think we should update our libhangul to 0.0.9 too.
Comment 4 Fedora Update System 2009-06-10 01:14:16 EDT
libhangul-0.0.9-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libhangul-0.0.9-1.fc11
Comment 5 Fedora Update System 2009-06-10 02:25:37 EDT
libhangul-0.0.9-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/libhangul-0.0.9-1.fc10
Comment 6 Fedora Update System 2009-06-15 21:51:54 EDT
libhangul-0.0.9-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libhangul'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-6200
Comment 7 Fedora Update System 2009-06-15 21:57:35 EDT
libhangul-0.0.9-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libhangul'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6249
Comment 8 Fedora Update System 2009-06-24 15:24:59 EDT
libhangul-0.0.9-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-07-03 15:33:45 EDT
libhangul-0.0.9-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.